// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Shopping_FeedbackPeriodType;
@class Shopping_AverageRatingDetailsType;

/**
 
 Specifies all feedback summary information (except Score). Contains
 objects that each convey feedback counts for
 positive, negative, neutral, and total feedback counts - for various
 time periods each. Also conveys counts of bid retractions for the
 predefined time periods.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_FeedbackHistoryType : NSObject <PicoBindable> {

@private
    NSMutableArray *_bidRetractionFeedbackPeriods;
    NSMutableArray *_negativeFeedbackPeriods;
    NSMutableArray *_neutralFeedbackPeriods;
    NSMutableArray *_positiveFeedbackPeriods;
    NSMutableArray *_totalFeedbackPeriods;
    NSNumber *_uniqueNegativeFeedbackCount;
    NSNumber *_uniquePositiveFeedbackCount;
    NSMutableArray *_averageRatingDetails;
    NSNumber *_neutralCommentCountFromSuspendedUsers;
    NSNumber *_uniqueNeutralFeedbackCount;
    NSMutableArray *_any;

}


/**
 
 Bid retractions count, for multiple predefined time periods preceding
 the call. 
 
 
 entry type : class Shopping_FeedbackPeriodType
*/

@property (nonatomic, retain) NSMutableArray *bidRetractionFeedbackPeriods;

/**
 
 Negative feedback entries count, for multiple predefined time periods preceding
 the call. 
 
 
 entry type : class Shopping_FeedbackPeriodType
*/

@property (nonatomic, retain) NSMutableArray *negativeFeedbackPeriods;

/**
 
 Neutral feedback entries count, for multiple predefined time periods preceding
 the call. 
 
 
 entry type : class Shopping_FeedbackPeriodType
*/

@property (nonatomic, retain) NSMutableArray *neutralFeedbackPeriods;

/**
 
 Positive feedback entries count, for multiple predefined time periods
 preceding the call. 
 
 
 entry type : class Shopping_FeedbackPeriodType
*/

@property (nonatomic, retain) NSMutableArray *positiveFeedbackPeriods;

/**
 
 Total feedback score, for multiple predefined time periods preceding the
 call. 
 
 
 entry type : class Shopping_FeedbackPeriodType
*/

@property (nonatomic, retain) NSMutableArray *totalFeedbackPeriods;

/**
 
 Total number of negative Feedback comments received by the user, including weekly repeats.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *uniqueNegativeFeedbackCount;

/**
 
 Total number of positive Feedback comments received by the user, including weekly repeats.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *uniquePositiveFeedbackCount;

/**
 
 Container for information about detailed seller ratings (DSRs)
 that buyers have left for a seller.
 Sellers have access to the number of ratings they've received, as well as
 to the averages of DSRs they've received in each
 DSR area (i.e., to the average of ratings in the item-description area, etc.).  
 
 
 entry type : class Shopping_AverageRatingDetailsType
*/

@property (nonatomic, retain) NSMutableArray *averageRatingDetails;

/**
 
 Number of neutral comments received from suspended users.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *neutralCommentCountFromSuspendedUsers;

/**
 
 Total number of neutral Feedback comments received by the user, including weekly repeats. 
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *uniqueNeutralFeedbackCount;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
