// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Shopping_AbstractResponseType.h"


@class Shopping_CatalogProductType;
@class Shopping_DomainHistogramType;
@class Shopping_SimpleItemArrayType;

/**
 
 Returns stock product information in eBay catalogs, such as
 information about a particular DVD or camera. Optionally,
 also returns items that match the product.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_FindProductsResponseType : Shopping_AbstractResponseType {

@private
    NSNumber *_approximatePages;
    NSNumber *_moreResults;
    Shopping_DomainHistogramType *_domainHistogram;
    Shopping_SimpleItemArrayType *_itemArray;
    NSNumber *_pageNumber;
    NSMutableArray *_product;
    NSNumber *_totalProducts;
    NSNumber *_duplicateItems;

}


/**
 
 The total number of pages that can be returned, given the same
 query and filters in the request. As FindProducts only returns
 up to 2000 products, the maximum possible value is theoretically
 2000 (if you were to set MaxEntries to 1 in the request).
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *approximatePages;

/**
 
 If true, more pages of results are available.
 That is, PageNumber is less than ApproximatePages.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *moreResults;

/**
 
 A histogram that lists the number of matching products found and the domains
 in which they were found. A <i>domain</i> describes a set of
 categories that share certain common characteristics (as determined by eBay).
 Each domain has its own name and ID. Only returned when you specify
 DomainHistogram in IncludeSelector.
 
 
 type : class Shopping_DomainHistogramType
*/
@property (nonatomic, retain) Shopping_DomainHistogramType *domainHistogram;

/**
 
 A list of active items that were listed with the requested
 product.
 <br />
 <br />
 <span class="tablenote"><strong>Note:</strong>
 ItemArray is returned only when you use ProductID in the search request
 (not QueryKeywords) and you set IncludeSelector to Details or Items.
 Returned only if eBay has currently matching items.
 </span>
 <br />
 
 
 type : class Shopping_SimpleItemArrayType
*/
@property (nonatomic, retain) Shopping_SimpleItemArrayType *itemArray;

/**
 
 The number of the page of data returned. If many products
 are found and multiple pages of results are available, use
 this in combination with ApproximatePages and MoreResults
 to decide which page to retrieve next. As FindProducts only
 returns up to 2000 products, the maximum possible value is
 theoretically 2000 (if you were to set MaxEntries to 1 in the
 request).
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pageNumber;

/**
 
 An eBay catalog product. This contains stock information about a particular
 DVD, camera, set of golf clubs, or other product. When you use QueryKeywords
 in the request, FindProducts returns a maximum of 20 products per page. When
 you use ProductID in the request, FindProducts usually only returns 1 product
 by default. (If more than one product matches the same ProductID, FindProducts
 will return all of those products. As of the time of this writing, we expect
 this to be a rare case.)
 
 
 entry type : class Shopping_CatalogProductType
*/

@property (nonatomic, retain) NSMutableArray *product;

/**
 
 The total number of matching products found. (If more than 2000 products are
 found, the call fails with an error.)
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *totalProducts;

/**
 
 Indicates whether there are duplicated items not returned by this
 response when HideDuplicateItems is true in the request.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *duplicateItems;


@end
