// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Shopping_AbstractResponseType.h"


@class Shopping_CategoryArrayType;

/**
 
 Contains the category data for the eBay site specified as input. The category
 data is returned as a CategoryArrayType object, that contains zero, one, or
 multiple CategoryType objects. Each CategoryType object contains the detail data
 for one category. Other fields indicate how many categories are returned in a call, when the category hierarchy was last updated, and the version of the category hierarchy (all three of which can differ from one eBay site to the next).
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_GetCategoryInfoResponseType : Shopping_AbstractResponseType {

@private
    Shopping_CategoryArrayType *_categoryArray;
    NSNumber *_categoryCount;
    NSDate *_updateTime;
    NSString *_categoryVersion;

}


/**
 
 List of the returned categories. The category array contains one CategoryType
 object for each returned category. Returns empty if no detail level is specified.
 
 
 type : class Shopping_CategoryArrayType
*/
@property (nonatomic, retain) Shopping_CategoryArrayType *categoryArray;

/**
 
 Indicates the number of categories returned (i.e., the number of CategoryType
 objects in CategoryArray).
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *categoryCount;

/**
 
 Indicates the last date and time that eBay modified the category hierarchy for the
 specified eBay site.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *updateTime;

/**
 
 Indicates the version of the category hierarchy on the
 specified eBay site.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *categoryVersion;


@end
