// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import "Shopping_ListingStatusCodeType.h"

/**
 @file
 
 Specifies an active or ended listing's status in eBay's processing
 workflow. If a listing ends with a sale (or sales), eBay needs to
 update the sale details (e.g., total price and buyer/high bidder)
 and the final value fee. This processing can take several minutes.
 If you retrieve a sold item and no details about the buyer/high
 bidder are returned, use this
 listing status information to determine whether eBay has finished
 processing the listing.
 
*/

/**
 
 (out) The listing is still live, or it has recently ended
 but eBay has not completed processing
 the listing (e.g., we're still determining the high bidder).
 A multi-item listing is considered active until all items
 have winning bids or purchases or the listing's end time
 has passed. (That is, if the listing has a Quantity of 10,
 the sale of 1 of those items doesn't end the listing.)
 If the listing has ended but this Active
 status is returned, please allow several minutes for eBay to
 finish processing the listing.
 
*/
NSString *const Shopping_ListingStatusCodeType_ACTIVE = @"Active";

/**
 
 (out) The listing has ended and eBay has completed processing
 of the sale (if any), such as determining the high bidder.
 
*/
NSString *const Shopping_ListingStatusCodeType_ENDED = @"Ended";

/**
 
 (out) The listing has ended and eBay has completed processing
 of the sale (if any), such as determining the high bidder.
 You can think of Completed and Ended as essentially equivalent.
 (The difference is only meaningful to the seller of the item,
 as Completed indicates whether eBay has finished calculating
 certain selling fees.)
 
*/
NSString *const Shopping_ListingStatusCodeType_COMPLETED = @"Completed";

/**
 
 (out) Placeholder value. See
 <a href="types/simpleTypes.html#token">token</a>.
 
*/
NSString *const Shopping_ListingStatusCodeType_CUSTOM_CODE = @"CustomCode";
