// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>

/**
 @file
 
 Specifies the selling format used for a listing.
 
 
 @ingroup ShoppingInterface
*/

/**
 
 Unknown auction type. (This is not normally used.)
 
*/
extern NSString *const Shopping_ListingTypeCodeType_UNKNOWN;

/**
 
 Single-quantity online auction format.
 A Chinese auction has a Quantity of 1. Buyers engage in competitive bidding,
 although Buy It Now may be offered as long as no bids have been placed.
 Online auctions are listed on eBay.com, and they are also listed in
 the seller's eBay Store if the seller is a Store owner.
 
*/
extern NSString *const Shopping_ListingTypeCodeType_CHINESE;

extern NSString *const Shopping_ListingTypeCodeType_DUTCH;

/**
 
 Live auction, on-site auction that can include non-eBay bidders. Live auctions
 are listed on the eBay Live Auctions site, in live auction categories. They can
 also appear on eBay if the seller lists the lot in a secondary, eBay category.
 
*/
extern NSString *const Shopping_ListingTypeCodeType_LIVE;

/**
 
 Reserved for future use.
 
*/
extern NSString *const Shopping_ListingTypeCodeType_AUCTION;

/**
 
 Advertisement to solicit inquiries on listings such as real estate. Permits no
 bidding on that item, service, or property. To express interest, a buyer fills
 out a contact form that eBay forwards to the the seller as a lead. This format
 does not enable buyers and sellers to transact online through eBay, and eBay
 Feedback is not available for ad format listings.
 
*/
extern NSString *const Shopping_ListingTypeCodeType_AD_TYPE;

/**
 
*/
extern NSString *const Shopping_ListingTypeCodeType_STORES_FIXED_PRICE;

/**
 
 Second chance offer made to a non-winning bidder on an ended listing. A seller
 can make an offer to a non-winning bidder when either the winning bidder has
 failed to pay for an item or the seller has a duplicate of the item. Second-
 chance offer items are on eBay, but they do not appear when browsing or
 searching listings. You need to already know the item ID in order to retrieve a
 second-chance offer.
 
*/
extern NSString *const Shopping_ListingTypeCodeType_PERSONAL_OFFER;

/**
 
 A basic fixed-price listing with a Quantity of 1. Allows no auction-style
 bidding. Also known as Buy It Now Only on some sites, this should not to be
 confused with the BuyItNow option that is available for competitive-bid
 auctions. Fixed-price listings appear on eBay.com. They are also listed in a
 seller's eBay Store if the seller is a Store owner.
 
*/
extern NSString *const Shopping_ListingTypeCodeType_FIXED_PRICE_ITEM;

/**
 
 Half.com listing (item is listed on Half.com, not on eBay).
 Reserved for future use.
 
*/
extern NSString *const Shopping_ListingTypeCodeType_HALF;

/**
 
 Lead Generation format (advertisement-style listing to solicit
 inquiries or offers, no bidding or fixed price, listed on eBay).
 
*/
extern NSString *const Shopping_ListingTypeCodeType_LEAD_GENERATION;

extern NSString *const Shopping_ListingTypeCodeType_EXPRESS;

/**
 
 Placeholder value. See
 <a href="types/simpleTypes.html#token">token</a>.
 
*/
extern NSString *const Shopping_ListingTypeCodeType_CUSTOM_CODE;
