// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Type for the return policy details of an item.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_ReturnPolicyType : NSObject <PicoBindable> {

@private
    NSString *_refund;
    NSString *_returnsWithin;
    NSString *_returnsAccepted;
    NSString *_description;
    NSString *_warrantyOffered;
    NSString *_warrantyType;
    NSString *_warrantyDuration;
    NSString *_ean;
    NSString *_shippingCostPaidBy;
    NSString *_restockingFeeValue;
    NSString *_restockingFeeValueOption;
    NSMutableArray *_any;

}


/**
 
 Specifies how a refund will be made, e.g. as an exchange.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *refund;

/**
 
 Specifies the length of time in which the item must be returned
 under the return policy.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *returnsWithin;

/**
 
 Information about returns accepted.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *returnsAccepted;

/**
 
 A description of the return policy for the item.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *description;

/**
 
 Information about the warranty offered.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *warrantyOffered;

/**
 
 The type of warranty offered.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *warrantyType;

/**
 
 The length of the warranty offered.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *warrantyDuration;

/**
 
 Contains the EAN.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *ean;

/**
 
 The party who pays the cost of shipping for a returned item.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingCostPaidBy;

/**
 
 Display string that indicates the restocking fee charged by the 
 seller for returned items. This value is directly related to the
 <b>RestockingFeeValueOption</b> value, with the difference
 being that applications can use <b>RestockingFeeValue</b>
 to present the <b>RestockingFeeValueOption</b> value
 buttons or drop-down lists.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *restockingFeeValue;

/**
 
 This enumeration value indicates the restocking fee charged by the
 seller for returned items. In order to charge the buyer a restocking
 fee when an item is returned, a US seller must input a restocking
 fee value as part of the return policy.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *restockingFeeValueOption;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
