// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Shopping_AmountType;

/**
 
 Shipping costs and options related to a domestic shipping service.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_ShippingServiceOptionType : NSObject <PicoBindable> {

@private
    Shopping_AmountType *_shippingInsuranceCost;
    NSString *_shippingServiceName;
    Shopping_AmountType *_shippingServiceCost;
    Shopping_AmountType *_shippingServiceAdditionalCost;
    NSNumber *_shippingServicePriority;
    NSNumber *_expeditedService;
    NSNumber *_shippingTimeMin;
    NSNumber *_shippingTimeMax;
    Shopping_AmountType *_shippingSurcharge;
    NSMutableArray *_shipsTo;
    NSDate *_estimatedDeliveryMinTime;
    NSDate *_estimatedDeliveryMaxTime;
    NSNumber *_fastAndFree;
    NSMutableArray *_any;

}


/**
 
 The insurance cost associated with shipping a single item with this shipping
 service. If the buyer bought more than one of this item, this proportional to
 QuantitySold.  If the item has not yet been sold, insurance information cannot
 be calculated and the value is 0.00. For calculated shipping only.
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *shippingInsuranceCost;

/**
 
 A domestic shipping service offered for shipping the item (for example, UPS
 Ground). For flat and calculated shipping.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingServiceName;

/**
 
 The basic shipping cost of the item.
 <br>
 <br>
 <i>Flat shipping:</i> single-item listing: this matches (in)ShippingServiceCost;
 multi-quantity listing: with a request version of 665 or greater,
 this is the total of (in)ShippingServiceCost plus
 ((in)ShippingServiceAdditionalCost times the number of items beyond the first
 item), and with a request version lower than 665, this is (in)ShippingServiceCost.
 <br>
 <i>Promotional shipping:</i> For a request version lower than 665, promotional
 shipping has no effect on shipping costs. Otherwise: if the promotional
 shipping option is lower than other shipping services being offered, the
 savings is reflected in the returned shipping cost;
 the shipping service named Promotional Shipping Service (or whatever is
 the localized name for it) is included among the shipping services;
 if the promotional shipping cost is lower than the cost of other shipping
 services being offered, it is presented first in the list (the lowest shipping
 service cost is always presented first, regardless of whether there is
 promotional shipping).
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *shippingServiceCost;

/**
 
 The cost of shipping each additional item beyond the first item (flat shipping).
 For single-item listings, if this is not provided, it is defaulted
 to zero. For multi-quantity listings, if this is not provided, it
 is set to the value of (in)ShippingServiceCost (unless the request
 version is lower than 665, in which case ShippingServiceAdditionalCost
 is required and is not defaulted).
 Not applicable to Half.com.
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *shippingServiceAdditionalCost;

/**
 
 Seller-preferred presentation order relative to other
 service options. Valid values: 1 (1st choice), 2 (2nd choice),
 3 (3rd choice). For flat and calculated shipping.
 Not applicable to Half.com.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *shippingServicePriority;

/**
 
 Indicates whether the service is an expedited shipping service. See Enabling Get It Fast.
 Not applicable to Half.com.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *expeditedService;

/**
 
 The minimum guaranteed number of business days in which the shipping carrier
 can ship an item (not including the time it takes the seller to
 deliver the item to the shipping carrier). See Enabling Get It Fast.
 Not applicable to Half.com.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *shippingTimeMin;

/**
 
 The maximum guaranteed number of business days the shipping carrier will
 take to ship an item (not including the time it takes the seller to
 deliver the item to the shipping carrier). See Enabling Get It Fast.
 Not applicable to Half.com.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *shippingTimeMax;

/**
 
 An additional fee to charge US buyers who ship via UPS to Alaska, Hawaii
 or Puerto Rico. Can only be assigned a value for Parts and Accessories
 items on the eBay US and Motors sites. Only returned if set.
 If some transactions in an order have a surcharge, surcharge is added
 only for those transactions.
 Flat rate shipping only.
 <br>
 <br>
 With a request version of 665 or greater, total shipping cost includes any
 surcharge, and ShippingSurcharge is no longer returned as an individual tag.
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *shippingSurcharge;

/**
 
 An international location or region to which the item may be shipped via this
 particular shipping service. Associated with the shipping service by the
 seller. Use GeteBayDetails to determine which locations are valid per site.
 These values are string equivalents of values found in ShippingRegionCodeType
 and CountryCodeType.
 Returned with request version 665 or greater, if set via Trading API.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *shipsTo;

/**
 
 The minimum guaranteed date in which the item could reach the
 buyer's location.
 Not applicable to Half.com.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *estimatedDeliveryMinTime;

/**
 
 The maximum guaranteed date in which the item could reach the
 buyer's location.
 Not applicable to Half.com.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *estimatedDeliveryMaxTime;

/**
 
 Indicates whether the service is fast in delivery to the end user (less than 4 days) and free for buyer.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *fastAndFree;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
