// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import "Shopping_UserStatusCodeType.h"

/**
 @file
 
 These codes indicate the current state or status of a an eBay
 user account.
 
*/

/**
 
 (out) User properties have never been set; this value should
 seldom, if ever, be returned and typically represents a
 problem
 
*/
NSString *const Shopping_UserStatusCodeType_UNKNOWN = @"Unknown";

/**
 
 (out) User has been suspended from selling and buying, such as
 for violations of eBay terms or agreement
 
*/
NSString *const Shopping_UserStatusCodeType_SUSPENDED = @"Suspended";

/**
 
 (out) User has completed online registration and has properly
 responded to confirmation email; most users should fall
 in this category
 
*/
NSString *const Shopping_UserStatusCodeType_CONFIRMED = @"Confirmed";

/**
 
 (out) User has completed online registration, but has either
 not responded to confirmation email or has not yet been
 sent the confirmation email
 
*/
NSString *const Shopping_UserStatusCodeType_UNCONFIRMED = @"Unconfirmed";

/**
 
 (out) Registered users of AuctionWeb (pre-eBay) who never
 re-registered on eBay
 
*/
NSString *const Shopping_UserStatusCodeType_GHOST = @"Ghost";

/**
 
 (out) Temporary user record state indicating the record is in
 the process of being changed by eBay; query user
 information again to get new status
 
*/
NSString *const Shopping_UserStatusCodeType_IN_MAINTENANCE = @"InMaintenance";

/**
 
 (out) Records for the specified user have been deleted
 
*/
NSString *const Shopping_UserStatusCodeType_DELETED = @"Deleted";

/**
 
 (out) User has completed registration and confirmation, but is
 pending a verification of credit card information
 
*/
NSString *const Shopping_UserStatusCodeType_CREDIT_CARD_VERIFY = @"CreditCardVerify";

/**
 
 (out) User's account is on hold, such as for non-payment of
 amounts due eBay; user cannot sell or buy items
 
*/
NSString *const Shopping_UserStatusCodeType_ACCOUNT_ON_HOLD = @"AccountOnHold";

/**
 
 (out) User record has been merged with another account record
 for the same user
 
*/
NSString *const Shopping_UserStatusCodeType_MERGED = @"Merged";

/**
 
 (out) User has completed online registration and has been sent
 the confirmation email, but has not yet responded to the
 confirmation email
 
*/
NSString *const Shopping_UserStatusCodeType_REGISTRATION_CODE_MAIL_OUT = @"RegistrationCodeMailOut";

/**
 
 (out) User has been scheduled for account closure (typically
 when a user has requested to have their account closed)
 A user in this state should not be considered an active
 user
 
*/
NSString *const Shopping_UserStatusCodeType_TERM_PENDING = @"TermPending";

/**
 
 (out) User has completed the registration for Half.com and opted
 to automatically also be registered with eBay, but the
 registration confirmation is still pending
 
*/
NSString *const Shopping_UserStatusCodeType_UNCONFIRMED_HALF_OPT_IN = @"UnconfirmedHalfOptIn";

/**
 
 (out) User has completed the registration for Half.com and opted
 to automatically also be registered with eBay, but the
 verification of credit card information is still pending
 
*/
NSString *const Shopping_UserStatusCodeType_CREDIT_CARD_VERIFY_HALF_OPT_IN = @"CreditCardVerifyHalfOptIn";

/**
 
 (out) Half.com User; user has completed the registration for Half.com
 and opted to automatically also be registered with eBay, but the
 registration confirmation is still pending
 
*/
NSString *const Shopping_UserStatusCodeType_UNCONFIRMED_EXPRESS = @"UnconfirmedExpress";

/**
 
   (out) Reserved for internal or future use
 
*/
NSString *const Shopping_UserStatusCodeType_CUSTOM_CODE = @"CustomCode";
